- [2nd Round of Testing](#2nd-round-testing)
- [Issues](#issues)

<a id="2nd-round-testing"></a>
### 2nd Round of Testing
The 2nd round of testing will include the same as before except that we'll use U-Boot from the Rocky Linux U-Boot Tools package.  We'll continue testing the 6.6.x kernel branch.

|                     | Tritrium H5 | Le Potato AML-S905X-CC | La Frite AML-S805X-AC | Renegade ROC-RK3328-CC  | Odroid-N2    |
|:---:|:---:|:---:|:---:|:---:|:---:|
| Kernel SBC support  | Passed      | Passed                 |                       |                         | Passed       | 
| Vendor U-Boot       | Not Tested  | Passed                 |                       |                         | Not Tested   |
| Rocky U-Boot        | Passed      | Failed*                |                       |                         | Passed*      |
| USB                 | Passed      | Passed                 |                       |                         | Passed       |
| Video               | Passed      | Passed                 |                       |                         | Passed       |
| Wi-Fi               | N/A         | N/A                    |                       |                         | N/A          |
| Ethernet            | Passed      | Failed                 |                       |                         | Passed       |

*Amlogic U-boot binaries must be fip-signed with Amlogic's tools.

<a id="issues"></a>
### Issues
As of 18 January 2024:
Amlogic boards must have their U-boot binaries fip-signed.  Currently, this affects both the Le Potato and the Odroid-n2. Check the official u-boot docs for additional information.  Amlogic requires written permission for using its signing utilites (if i'm reading it correctly.)
Le Potato has issues with the ethernet adapter constantly resetting and is currently non-functional.
The Odroid N2 is functional other than "reboot" doesnt work and non-functional usb during U-Boot which stops the boot process(although sometimes it has booted so fast you couldnt get even press a key if you wanted to).  The "reboot" error is something to the effect of "watchdog didnt stop".  Other than that, it seems to work if you can get it to boot on its own.

As of 21 January 2024:
The strange Le Potato issues with the ethernet adapter is related to uboot.  It only happens while using the uboot binary from the Rocky Linux U-Boot-Tools package.  Using the LibreTech uboot binary, the issue goes away.  I suspect there is a piece of the Le Potato U-boot that is not fully upstreamed.

Fedora is support on the same Libre boards we are testing.  They use the libretech provide U-boot.  Can we do the same for this handful of boards?  (or at least the ones with issues, so far the Le Potato)
